@use 'styles/navigation-breadcrumbs.variables' as *;
@use '../../../global/styles/icon';
@use '../../../global/styles/breakpoint';

@mixin breadcrumb-item {
	font-family: var(--digi--navigation-breadcrumbs--item--font-family);
	font-size: var(--digi--navigation-breadcrumbs--item--font-size);
	color: var(--digi--navigation-breadcrumbs--item--color);
}

:host {
	@include digi-navigation-breadcrumbs--variables;

	.digi-navigation-breadcrumbs__items {
		list-style: none;
		display: var(--digi--navigation-breadcrumbs--items--display);
		flex-wrap: var(--digi--navigation-breadcrumbs--items--flex-wrap);
		margin: var(--digi--navigation-breadcrumbs--items--margin);
		padding: var(--digi--navigation-breadcrumbs--items--padding);
		background: var(--digi--navigation-breadcrumbs--items--background);
	}

	li {
		@include breadcrumb-item;

		&:after {
			content: none;
		}
	}
}

::slotted(li) {
	@include breadcrumb-item;

	&::after {
		content: '/';
		padding-inline: var(--digi--navigation-breadcrumbs--divider--padding);
	}

	a {
		text-decoration: none;
		color: var(--digi--navigation-breadcrumbs--link--color);
		font-size: var(--digi--navigation-breadcrumbs--item--font-size);
		text-decoration: var(--digi--navigation-breadcrumbs--item--text-decoration);

		&:visited {
			color: var(--digi--navigation-breadcrumbs--link--visited--color);
		}

		&:focus,
		&:hover {
			text-decoration: var(--digi--navigation-breadcrumbs--link--hover--focus--text-decoration);
			--digi--navigation-breadcrumbs--link--color: var(--digi--navigation-breadcrumbs--link--hover--focus--color);
		}

		&:focus-visible {
			outline: var(--digi--focus-outline);
			border-radius: var(--digi--global--border-radius--small);
		}
	}

	.digi-navigation-breadcrumbs--variation-compressed & {
		:host & {
			@include breakpoint.below-medium {
				&:nth-last-child(2) {
					&::after {
						content: none;
					}

					a {
						&::before {
							@include icon.mask-pseudo('chevron-left');
							height: 0.5em;
						}

						display: inline-flex;
						gap: calc(var(--digi--navigation-breadcrumbs--divider--padding) / 2);
						align-items: center;
					}
				}

				&:not(:nth-last-child(2)) {
					display: none;
				}
			}
		}
	}
}
